
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>StringBuilder用法小结 / iVAN</title>

    <meta name="description" content="StringBuilder用法小结 所有已实现的接口: Serializable, Appendable, CharSequence public final class StringBuilder extends Object implements Serializable, CharSequence 一个可变的字符序列.此类提供一个与 StringBuffer 兼容的 API,但不保证同步.该类被设计用作 StringBuffer 的一个简易替换,用在字符串缓冲区被单个线程使用的时候(这种情况很普遍).如果可能,建议优先采用该">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">StringBuilder用法小结</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<dl>
<dt>
<strong>所有已实现的接口：</strong> </dt>
<dd>
Serializable,<br />
Appendable, CharSequence </dd>
</dl>
<hr>
<dl>
<dt>
</dt>
</dl>
<pre>public final class <strong>StringBuilder</strong></pre>
<p>extends Object<br />
implements Serializable, CharSequence<br />
<br />一个可变的字符序列。此类提供一个与 <code>StringBuffer</code> 兼容的 API，但不保证同步。该类被设计用作<br />
<code>StringBuffer</code> 的一个简易替换，用在字符串缓冲区被单个线程使用的时候（这种情况很普遍）。如果可能，建议优先采用该类，因为在大多数实现中，它比<br />
<code>StringBuffer</code> 要快。</p>
<p>在 <code>StringBuilder</code> 上的主要操作是<br />
<code>append</code> 和 <code>insert</code> 方法，可重载这些方法，以接受任意类型的数据。每个方法都能有效地将给定的数据转换成字符串，然后将该字符串的字符添加或插入到字符串生成器中。<code>append</code> 方法始终将这些字符添加到生成器的末端；而<br />
<code>insert</code> 方法则在指定的点添加字符。</p>
<p>例如，如果 <code>z</code> 引用一个当前内容为“<code>start</code>”的字符串生成器对象，则该方法调用<br />
<code>z.append("le")</code> 将使字符串生成器包含“<code>startle</code>”，而 <code>z.insert(4, "le")</code> 将更改字符串生成器，使之包含“<code>starlet</code>”。</p>
<p>通常，如果 sb 引用 <code>StringBuilder</code> 的实例，则 <code><br />
sb.append(x)</code> 和 <code>sb.insert(sb.length(), x)</code> 具有相同的效果。 每个字符串生成器都有一定的容量。只要字符串生成器所包含的字符序列的长度没有超出此容量，就无需分配新的内部缓冲区。如果内部缓冲区溢出，则此容量自动增大。</p>
<p>将 <code>StringBuilder</code> 的实例用于多个线程是不安全的。如果需要这样的同步，则建议使用<br />
<code>StringBuffer</code>。</p>
<pre>class StringBufferDemo
{
	public static void main(String[] args)
	{
		//append():增加
		StringBuilder sb = new StringBuilder();//新建一个对象
		sb.append("abc").append(true).append(123);//直接添加内容

		StringBuilder sb1 = sb.append(1);
		System.out.println("sb == sb1:"+(sb==sb1));//判断sb与sb1是否相等 **(sb==sb1)必须带(),因为sb为string与sb1 StringBuffer类型不同
		System.out.println(sb.toString());//输出为1
		System.out.println(sb1.toString());//输出为1

		//insert():指定位置插入
		sb.insert(2,"qq");//在第二位后面插入qq

		//StringBuffer delete(start,end):删除缓冲区中的数据，包含Start,不包含end
		//StringBuffer deleteCharAt(index)；删除缓冲区指定位置的数据
		sb.delete(1,3);
		sb.deleteCharAt(0);
		System.out.println(sb.toString());
		//sb.delete(0,sb.length()):清空缓冲区

		//获取
		//char charAt(int index)
		//int indexOf(String str)
		//int lastIndexOf(String str)
		sb.charAt(2);
		sb.indexOf("t");
		System.out.println(sb.toString());

		//修改，也可以理解为替换
		//replace(int start,int end,String str)
		//setCharAt(int index,String str)
		sb.replace(1,3,"java");
		sb.setCharAt(2,'m');
		System.out.println(sb.toString());

	}
}
</pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 07:21:55</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>StringBuilder用法小结的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY7Z5b.html" rel="bookmark">Java中的字符串用法小结&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例总结了Java中的字符串用法.分享给大家供大家参考.具体分析如下: 字符串的本质是char类型的数组,但在java中,所有用双引号&quot;&quot;声明的字符串都是一个String类的对象.这也正体现了Java完全面向对象的语言特点. String 类 1.String类对象表示的是一个常量字符串.它是不可变长度的.也就是说,一旦创建了一个String类的实例,那么这个实例所表示的串是不可改变的.类似于 str = str + &quot;Hello&quot;; 这样的操作,实质上是将 s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b3o3jwb.html" rel="bookmark">Java中getResourceAsStream的用法小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Java中getResourceAsStream的用法小结 一.Java中的getResourceAsStream主要有以下三种用法:1.Class.getResourceAsStream(String path)      path 不以'/'开头时默认是从此类所在的包下取资源,以'/'开头则是从ClassPath根下获取.     其实是通过path构造一个绝对路径,最终还是由ClassLoader获取资源. 2.Class.getClassLoader.getResourceAsStrea			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPPrg1p.html" rel="bookmark">static用法小结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				static用法小结 static关键字是C, C++中都存在的关键字, 它主要有三种使用方式, 其中前两种只指在C语言中使用, 第三种在C++中使用(C,C++中具体细微操作不尽相同, 本文以C++为准). (1)局部静态变量 (2)外部静态变量/函数 (3)静态数据成员/成员函数 下面就这三种使用方式及注意事项分别说明 一.局部静态变量 在C/C++中, 局部变量按照存储形式可分为三种auto, static, register (&lt;C语言程序设计(第二版)&gt;谭浩强, 第174-175页)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrw4lp.html" rel="bookmark">Java中String&period;split&lpar;&rpar;用法小结&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在java.lang包中有String.split()方法,返回是一个数组 我在应用中用到一些,给大家总结一下,仅供大家参考: 1.如果用&quot;.&quot;作为分隔的话,必须是如下写法,String.split(&quot;\\.&quot;),这样才能正确的分隔开,不能用String.split(&quot;.&quot;); 2.如果用&quot;|&quot;作为分隔的话,必须是如下写法,String.split(&quot;\\|&quot;),这样才能正确的分隔开,不能用String.s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NBE6z.html" rel="bookmark">PHP常见数组函数用法小结&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP常见数组函数用法.分享给大家供大家参考,具体如下: 1.array array_merge(array $array1 [, array  $array2 [, $array]]) 函数功能:将一个或多个数组的单元合并起来,一个数组中的值附加在前一个数组的后面.返回结果的数组. 如果输入的数组中有相同的字符串键名,则该键名后面的值将覆盖前一个值.然而,如果数组包含数字键名,后面的值将不会覆盖原来的值,而是附加到后面. 如果只给了一个数组并且该数组是数字索引的,则键名会以连续方			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL527vz.html" rel="bookmark">Node&period;js程序中的本地文件操作用法小结&lowbar;node&period;js</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Node最引以为傲的就是它有一个非常小的核心.有一些语言绑定了完整的POSIX API,而 Node实现了尽可能少的绑定,并通过同步.异步或流API形式暴露他们. 这种方法意味着,操作系统中有一些非常方便的功能,需要在Node中重建.这是一个教你如何使用文件系统软件包的实用教程. 引用文件与文件系统的交互很重要的一点是要指向正确的文件.由于NPM的包使用相对路径引用,所以你不能把路径写死在代码.有两个主要方式来以确保包能引用到正确的文件: // 使用 `path.join()` 而不是 `+`			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9jq2Kp.html" rel="bookmark">Objective-C的内省&lpar;Introspection&rpar;用法小结&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				内省(Introspection)是面向对象语言和环境的一个强大特性,Objective-C和Cocoa在这个方面的表现尤其的优秀.内省是对象揭示自己作为一个运行时对象的详细信息的一种能力.这些详细信息包括对象在继承树上的位置,对象是否遵循特定的协议,以及是否可以响应特定的消息等等.NSObject协议和类定义了很多内省方法,用于查询运行时信息,以便根据对象的特征进行识别. 恰当地使用内省可以使面向对象的程序运行更加高效和强壮.也有助于避免错误地进行消息派发.错误地假设对象相等. 下面的部分举例			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGrolOp.html" rel="bookmark">C&plus;&plus;中的string类的用法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				相信使用过MFC编程的朋友对CString这个类的印象应该非常深刻吧?的确,MFC中的CString类使用起来真的非常的方便好用.但是如果离开了MFC框架,还有没有这样使用起来非常方便的类呢?答案是肯定的.也许有人会说,即使不用MFC框架,也可以想办法使用MFC中的API,具体的操作方法在本文最后给出操作方法.其实,可能很多人很可能会忽略掉标准C++中string类的使用.标准C++中提供的string类得功能也是非常强大的,一般都能满足我们开发项目时使用.现将具体用法的一部分罗列如下,只起一个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M1NLAxp.html" rel="bookmark">JS产生随机数的用法小结&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				代码如下所述: &lt;script&gt; function GetRandomNum(Min,Max) { var Range = Max - Min; var Rand = Math.random(); return(Min + Math.round(Rand * Range)); } var num = GetRandomNum(1,10); alert(num); &lt;/script&gt; var chars = ['0','1','2','3','4','5','6','7','8','			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5Wqqb.html" rel="bookmark" class="title">Photoshop给夏季美女图片加上甜美的暗青色</a>
					<div>
						作者修图调色非常细腻,过程:先分析图片不足,包括颜色及细节等:然后用调色工具调出想要的主色:再慢慢加强图片层次感,局部用画笔渲染一些想要的颜色,这样画面就非常完美. 原图 最终效果					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0boaL6p.html" rel="bookmark" class="title">VBScript 运算符</a>
					<div>
						vbscript|运算|vbscript VBScript 有一套完整的运算符,包括算术运算符.比较运算符.连接运算符和逻辑运算符. 运算符优先级 当表达式包含多个运算符时,将按预定顺序计算每一部分, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDldLz.html" rel="bookmark" class="title">DataGrid Web控件深度历险&lpar;3&rpar; part1</a>
					<div>
						datagrid|web|控件 这篇文章是一系列关于使用DataGrid Web控件文章的第三篇.ASP.Net DataGrid Web控件可将数据库信息显示在HTML表格中,并且功能强大.在第一篇 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3nrAz.html" rel="bookmark" class="title">AOP C&num;在行动（续2）</a>
					<div>
						今天开始写Paser了,不过是从SharpDevelop借过来而已(不想重新发明轮子,^_^).但是,还是对原先的代码作了一些修改,即使到了RC2了,SharpDevelop的代码中还是存在问题.今天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PQqPM.html" rel="bookmark" class="title">GPRS网络的构建</a>
					<div>
						GPRS作为GSM网络向第三代系统过渡的方案,其网络组建具有自身的特点.从网络结构上看,GPRS可以看做在现有GSM网络的基础上增加的一个分组域.首先它要利用现有GSM无线资源,可以通过扩充新频点或在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPNKEvb.html" rel="bookmark" class="title">手机短信息SMS开发&mdash;编码、解码</a>
					<div>
						1.英文编码 缺省的GSM字符集为7位编码,ASCII码为8位编码,编码就是将8位ASCII编码转换为7位编码. 例如:1234 编码后得到31D98C06 2进制表示 8位编码 00110001 0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0P0aPM.html" rel="bookmark" class="title">网吧防治黑客策略的配置方法</a>
					<div>
						有朋友问:我的网吧主机不知为何每晚2点30分左右总会出问题.首先是 ADSL 出现断流现象.然后断开,再拨上去也不行.重启也没用.昨天晚上重启后,拨上去,打开网页还蓝屏.原先以为是电信的事,但是打电话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnY8PZM.html" rel="bookmark" class="title">显卡无法识别电脑显示器最佳分辨率的问题如何解决</a>
					<div>
						  显卡无法识别电脑显示器最佳分辨率的问题如何解决          1.右击桌面空白处,点击打开屏幕分辨率; 2.点击右下角的&quot;高级设置&quot;; 3.取消勾选监视器选项卡中的&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEW843p.html" rel="bookmark" class="title">Word 2010如何设置快捷键提示功能</a>
					<div>
						  1.打开Word 2010(当然这个功能从2007就有了,一直延续到Word 2013).按alt键,出现提示符. 2.按&quot;N&quot;键,再按&quot;T&quot;键,就开始进行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myw9YJz.html" rel="bookmark" class="title">amd quick stream已停止工作是因为什么</a>
					<div>
						  方法一.更换驱动程序 amd quick stream一般随显卡驱动而安装.此时可以卸载掉有问题的驱动,重新安装对应的显卡驱动即可.如不确定驱动是否正常,可测试多个版本,直到正常为止. 方法二.开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3rV4z.html" rel="bookmark" class="title">oracle库存储问题导致数据库重启后无法正常启动恢复教程</a>
					<div>
						某客户的核心数据库存储问题导致数据库重启后无法正常启动,根据客户反馈最开始在启动数据库时 报错控制文件IO错误,如下: Sun Mar 15 11:59:37 2015 Errors in file  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAWXRM.html" rel="bookmark" class="title">虚拟化技术之KVM安装与使用</a>
					<div>
						什么是KVM虚拟化技术? KVM(Kernel-based Virtual Machine),主流虚拟化技术之一,集成与Linux2.6之后版本中,通过linux内核提供任务调度及管理. 注:此文档为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNLvVz.html" rel="bookmark" class="title">Android开发之旅：应用程序基础及组件</a>
					<div>
						--成功属于耐得住寂寞的人,接下来几篇将讲述Android应用程序的原理及术语,可能会比较枯燥.如果能够静下心来看,相信成功将属于你. 引言 为了后面的例子做准备,本篇及接下来几篇将介绍Android ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAnYkM.html" rel="bookmark" class="title">使用C&num;读取dbf行情文件</a>
					<div>
						由于历史的原因,我国的上交所和深交所使用的还是dbf文件来进行行情数据的分发,关于卫星报盘系统,可以参考:http://maltig.itpub.net/post/12165/195151 这个博客中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mxo8PQb.html" rel="bookmark" class="title">maven 学习总结</a>
					<div>
						1.关于Maven 最近学了一些maven方面的知识,感觉这个工具挺好用,为防遗忘现总结一下.Maven是一个项目管理工具,它可以通过一段描述信息来管理项目的构建.报告和文档的软件项目管理工具.它包含 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAXaYM.html" rel="bookmark" class="title">ceph install in CentOS 7 x64 within docker - 1</a>
					<div>
						本文使用docker来部署ceph, 基于CentOS 7 x64. 首先要安装docker, CentOS 7源已经包含了docker, 所以可以直接使用yum安装. # yum install - ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ZZyYM.html" rel="bookmark" class="title">c语言编程-图书租借管理系统   C语言编程</a>
					<div>
						问题描述 图书租借管理系统 C语言编程 图书店需要管理图书的租借信息,试设计一图书租借管理系统,使之能提供以下功能: (1) 能从文件导入图书的租借信息 (2) 能从键盘录入图书的租借信息,图书号,租 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBB7Db.html" rel="bookmark" class="title">app黑屏-android　程序进入后台以后，过一段时间再点进去报错，黑屏。</a>
					<div>
						问题描述 android 程序进入后台以后,过一段时间再点进去报错,黑屏. 下面是写的异常日志抓取的报错代码: android.util.SuperNotCalledException: Activi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R5ejz.html" rel="bookmark" class="title">迈克菲实验室：仅42&percnt;的网络安全专业人士使用共享威胁情报</a>
					<div>
						Intel Security 近日公布了&lt;迈克菲实验室威胁报告:2016 年 3 月刊&gt;,报告评估了 500 位网络安全专业人士对于共享网络威胁情报 (CTI) 的看法,探讨了 Adwin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12E3op.html" rel="bookmark" class="title">jquery mobile alert提示</a>
					<div>
						问题描述 jquery mobile alert提示 用jquery mobile做微信端的web页面, alert时候标题会显示网页所属域名的地址, 这个该怎么去掉,求助啊 解决方案 phoneGa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5RaEp.html" rel="bookmark" class="title">不想成为那70&percnt;的数字化转型失败者？Riverbed应用性能管理升级</a>
					<div>
						企业的数字化转型正在热情高涨的阶段,大家都在忙于此或是在路上,但IDC的一条调查数据如同一盆凉水当头泼下,&quot;2017年,60%的数字化转型举措将由于缺乏战略架构而无法进行扩展:2018年,7 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVQoADp.html" rel="bookmark" class="title">第三方曝88款汽车油耗</a>
					<div>
						这个结果比车企自报数据要高 商报讯上周末,C-NCAP抛出了重磅炸弹--将88款车型的真实油耗公之于众. C-NCAP是中国汽车技术研究中心下设的专业测评机构,中国汽车技术研究中心则是我国&lt;轻型 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK5vk7p.html" rel="bookmark" class="title">数据对接&mdash;kettle使用之五</a>
					<div>
						介绍完表输入插件,这一篇我们继续介绍kettle中的获取系统信息插件,并将结合表输入插件演示它的其中的一种用途.首先熟悉一下获取系统信息插件的一些功能: 获取系统信息 1.系统日期(可变):系统时间, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyeJnlM.html" rel="bookmark" class="title">互联网金融鱼龙混杂，&OpenCurlyDoubleQuote;高回报产品&rdquo;实为非法集资</a>
					<div>
						近年来,网络支付.虚拟货币.网上银行.金融网贷.P2P网贷--花样繁多的互联网金融产品如雨后春笋,但由于法律不够健全.监管无法到位.风险防控水平低等原因,相关纠纷不断出现.   近日,江苏省苏州市中级 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnXe1M.html" rel="bookmark" class="title">ASP&period;NET动态生成word文档</a>
					<div>
						问题描述 刚学习C#,ASP.NET,老大让我用ASP.NET动态生成word文档,对于这个我不是太懂,有人可以告诉我应该怎么做么,最好有个程序例子.谢谢了~~~~ 解决方案 解决方案二:首先要添加引 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgvK4M.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;20岁创业者&rdquo;这个概念不符合国情</a>
					<div>
						&quot;20岁创业者&quot;这个概念不符合国情.Facebook上市又炒热&quot;20岁创业者&quot;概念.但这是美国的例子.中国因为应试教育,绝大多数刚毕业的学生经验.成熟度.执行力 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJOjP8b.html" rel="bookmark" class="title">爱施德恒信劲胜：三个在三星手机附体的寄生公司</a>
					<div>
						爱施德恒信劲胜:三个在三星手机附体的寄生公司,结局恰如天音 理财周报IPO实验室研究员 王薇薇/文 做手机贸易商能有多少利润?靠分销.配套能有多大成长性?当交易对手方都与同一家手机品牌商有关, 它们的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEL0Zz.html" rel="bookmark" class="title">ssh生成随机数字验证码操作步骤&lowbar;JSP编程</a>
					<div>
						1.login.jsp页面程序 复制代码 代码如下: &lt;script type=&quot;text/javascript&quot;&gt; function changeValidateCo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0P97z.html" rel="bookmark" class="title">EJB概述&lpar;下&rpar;</a>
					<div>
						EJB概述(下)2000-05-15· ilamei·cpcwApplication roles:(应用角色) Enterprise beans Provider:Beans提供者在应用领域方面是专家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkLJnz.html" rel="bookmark" class="title">js判读浏览器是否支持html5的canvas的代码&lowbar;javascript技巧</a>
					<div>
						复制代码 代码如下: &lt;canvas id=&quot;myCanvas&quot; width=&quot;300&quot; height=&quot;200&quot; style=&qu ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
